<ngx-loading-bar [color]="'#003061'" [includeSpinner]="false" height="3px"></ngx-loading-bar>
<router-outlet></router-outlet>
<div class="position-fixed bottom-0 end-0 p-4" *ngIf="!authService.isAdmin && authService.role">
    <ng-template #tipContent>{{'techsupport.firstTitle' | translate}}</ng-template>
    <a class="fs-2" [ngbTooltip]="tipContent" [ngbPopover]="popContent" triggers="manual" #p1="ngbPopover" data-toggle="tooltip" data-container="body" (click)="toggle(p1)" [autoClose]="'outside'">
        <i class="bi bi-info-circle-fill"></i>
    </a>
</div>

<ng-template #popContent>
    <div class="modal-header">
        <h1 class="modal-title fs-6">{{'techsupport.firstTitle' | translate}}</h1>
        <!-- <button type="button" class="btn-close" (click)="popContent.toggle()" aria-label="Close"></button> -->
    </div>
    <div class="modal-body">
        <form [formGroup]="form">
            <label class="form-label">{{'techsupport.type' | translate}}</label>
            <select class="form-select" formControlName="typeId">
                <option [value]="type?.id" *ngFor="let type of dictTypes">{{type?.name}}</option>
            </select>
            <div class="mt-2">
                <label class="form-label">{{'techsupport.attach' | translate}}</label>
                <input type="file" class="form-control" accept="image/png, image/jpeg" (change)="fileChange($event)" multiple>
            </div>
            <div class="mt-2">
                <label class="form-label">{{'techsupport.description' | translate}}</label>
                <textarea class="form-control" type="text" formControlName="message"></textarea>
            </div>
        </form>
    </div>
    <div class="modal-footer justify-content-start">
        <button type="button" class="btn btn-dark" (click)="onSubmit()">{{'techsupport.submit' | translate}}</button>
    </div>
    
</ng-template>
